Error after 0.99 Upgrade



  • I received this error messsage in logs:

    php: : There were error(s) loading the rules: /tmp/rules.debug:16: no scheduler specified!
     /tmp/rules.debug:17: no scheduler specified!
     /tmp/rules.debug:20: queue qWANRoot has no parent /tmp/rules.debug:20: errors in queue definition /tmp/rules.debug:21:
     syntax error /tmp/rules.debug:22: queue qLANRoot has no parent /tmp/rules.debug:22:
     errors in queue definition /tmp/rules.debug:23: syntax error /tmp/rules.debug:24:
     syntax error /tmp/rules.debug:25: syntax error /tmp/rules.debug:26: syntax error /tm
    

    I noticed that this appen when changing the Theme.
    The above appen swithcing from metallic to pfsense.

    And this:

    php: : There were error(s) loading the rules: /tmp/rules.debug:16: no scheduler specified! /tmp/rules.debug:17:
     no scheduler specified! /tmp/rules.debug:20: queue qWANRoot has no parent /tmp/rules.debug:20:
     errors in queue definition /tmp/rules.debug:21: syntax error /tmp/rules.debug:22:
     queue qLANRoot has no parent /tmp/rules.debug:22: errors in queue definition /tmp/rules.debug:23:
     syntax error /tmp/rules.debug:24: syntax error /tmp/rules.debug:25: syntax error /tmp/rules.debug:26: syntax error /tm
    

    coming back from pfsense to metallic.



  • I have been problems with the same errors - see my post in the Traffic Shaper forum - http://forum.pfsense.org/index.php?topic=349.0

    In short, I was able to work around these errors by downloading my config, setting the scheduler type by hard - I don't have the details handy - it is at the end of one of the posts my message links to.



  • That has nothing to do with the theme. saving settings at advanced is reloading a lot of things (as there are a lot of options at this page). Unfortunately it seems to set a wrong schedulertype that now is unsupported (we had selectable schedulertypes earlier at this page). Expect this to be fixed soon.



  • We are hard coding the scheduler type.  Make sure your file is on the latest date (reinstall if this is needed).

    Rerun the wizard to make sure new configuration is generated after you verify the file is up to date.



  • fixed in beta1  ;D


Log in to reply